Package: tcpd
Version: 7.6.dbs-9
Severity: normal
Tags: patch
--- /var/lib/dpkg/info/tcpd.postinst 2006-03-01 18:02:45.000000000 -0500
+++ /tmp/tcpd.postinst 2006-06-20 20:55:24.000000000 -0400
@@ -1,4 +1,5 @@
-#!/bin/sh -e
+#! /bin/sh
+set -e
# must be sourced at the top level or $@ will be lost when $0 is executed
if [ "$1" = "configure" ]; then
@@ -6,7 +7,7 @@
fi
create_hosts_files() {
- if [ -e /etc/hosts.allow -a /etc/hosts.deny ]; then
+ if [ -e /etc/hosts.allow ] && [ -e /etc/hosts.deny ]; then
return 0
fi
I think this presently tests that "/etc/hosts.deny" is not a null
string..
BTW, what does this comment about $0 mean? I suspect that it may be
wrong nowadays..
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]